Sampling Heap Profile node. Holds callsite information, allocation statistics and child nodes.

### Hierarchy

- SamplingHeapProfileNode

## Index

### Properties

- callFrame
- children
- selfSize

## Properties

### callFrame

callFrame: CallFrame

- Defined in node_modules/@types/node/inspector.d.ts:751

Function location.

### children

children: SamplingHeapProfileNode[]

- Defined in node_modules/@types/node/inspector.d.ts:759

Child nodes.

### selfSize

selfSize: number

- Defined in node_modules/@types/node/inspector.d.ts:755

Allocations size in bytes for the node excluding children.

Generated using TypeDoc